# ChangeLog for sys-apps/baselayout
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-apps/baselayout/ChangeLog,v 1.315 2006/04/12 15:57:17 uberlord Exp $

# See the gentoo-src rc-scripts ChangeLog for up-to-date release information:
# http://www.gentoo.org/cgi-bin/viewcvs.cgi/rc-scripts/ChangeLog?rev=HEAD&cvsroot=gentoo-src&content-type=text/vnd.viewcvs-markup

*baselayout-1.12.0_pre17-r2 (12 Apr 2006)

  12 Apr 2006; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.12.0_pre17-1980.patch,
  +baselayout-1.12.0_pre17-r2.ebuild:
  Pulled Spankys dm-crypt stuff from #128908.
  #128283 fixed too.

*baselayout-1.12.0_pre17-r1 (11 Apr 2006)

  11 Apr 2006; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.12.0_pre17-1975.patch,
  +baselayout-1.12.0_pre17-r1.ebuild:
  Brings us upto svn rev 1975
  Fixes #128908, #129331, #129437 and the ccwgroup module.

  09 Apr 2006; Roy Marples <uberlord@gentoo.org>
  baselayout-1.12.0_pre17.ebuild:
  Physically remove the domainname init script and warn the user about how to
  configure /etc/conf.d/net to get similar functionality, #129248.

*baselayout-1.11.14-r7 (08 Apr 2006)

  08 Apr 2006; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.11.14-uniqify.patch, baselayout-1.11.14-r6.ebuild,
  +baselayout-1.11.14-r7.ebuild:
  1.11 branch now includes the uniqify function for resolvconf-gentoo

*baselayout-1.12.0_pre17 (07 Apr 2006)

  07 Apr 2006; Roy Marples <uberlord@gentoo.org>
  +baselayout-1.12.0_pre17.ebuild:
  New release - load of changes! Quick summary.
  resolv.conf management punted to resolvconf-gentoo
  net modules helpers.d punted
    - means you'll probably need ~ARCH of your dhcp client
  udev coldplug support.

  02 Mar 2006; Roy Marples <uberlord@gentoo.org>
  files/baselayout-1.11.14-depscan.patch:
  depscan patch updated for 1.11.14, fixes #124676.

*baselayout-1.12.0_pre16-r3 (02 Mar 2006)

  02 Mar 2006; Roy Marples <uberlord@gentoo.org>
  files/baselayout-1.12.0_pre16-depscan.patch,
  +baselayout-1.12.0_pre16-r3.ebuild:
  Update depscan patch to update /sbin/rc and /lib/rcscripts/sh/rc-services.sh

*baselayout-1.12.0_pre16-r2 (02 Mar 2006)
*baselayout-1.11.14-r6 (02 Mar 2006)

  02 Mar 2006; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.11.14-depscan.patch,
  +files/baselayout-1.12.0_pre16-depscan.patch,
  +baselayout-1.11.14-r6.ebuild, +baselayout-1.12.0_pre16-r2.ebuild:
  Add --svcdir option to depscan.sh so that other programs don't have to
  change internal variables.

*baselayout-1.12.0_pre16-r1 (17 Feb 2006)

  17 Feb 2006; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.12.0_pre16-sv.patch,
  +baselayout-1.12.0_pre16-r1.ebuild:
  Skip .sv files correctly, #123136 thanks to Alexander Danilov.

*baselayout-1.11.14-r5 (16 Feb 2006)

  16 Feb 2006; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.11.14-udhcpc.patch, +baselayout-1.11.14-r5.ebuild:
  Fix udhcpc constantly taking down routes and depend net.lo on isapnp 

*baselayout-1.12.0_pre16 (16 Feb 2006)

  16 Feb 2006; Roy Marples <uberlord@gentoo.org>
  +baselayout-1.12.0_pre16.ebuild:
  New release, hopefully fixing the last of the show stoppers.

*baselayout-1.11.14-r4 (16 Feb 2006)

  16 Feb 2006; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.11.14-iwconfig.patch, +baselayout-1.11.14-r4.ebuild:
  associate_order forceany option for iwconfig now works, thanks to Tobias
  Struckmeier, #122954.

  14 Feb 2006; Roy Marples <uberlord@gentoo.org>
  baselayout-1.12.0_pre13-r1.ebuild, -baselayout-1.12.0_pre15.ebuild,
  baselayout-1.12.0_pre15-r1.ebuild:
  We now depend on >=app-shells/bash-3.1_p7

*baselayout-1.11.14-r3 (25 Jan 2006)

  25 Jan 2006; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.11.14-adsl.patch, +baselayout-1.11.14-r3.ebuild:
  Fix ADSL module stopping, #120135.

*baselayout-1.12.0_pre15-r1 (24 Jan 2006)

  24 Jan 2006; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.12.0_pre15-1839.patch,
  +baselayout-1.12.0_pre15-r1.ebuild:
  Bring release upto svn 1839, fixing #117912 and #120154.

*baselayout-1.12.0_pre15 (20 Jan 2006)

  20 Jan 2006; Roy Marples <uberlord@gentoo.org>
  +baselayout-1.12.0_pre15.ebuild:
  New release, pre14 was a bust.

*baselayout-1.11.14-r2 (20 Jan 2006)

  20 Jan 2006; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.11.14-udev-sysinit.patch,
  +baselayout-1.11.14-r2.ebuild:
  Push an upcoming udev/sysinit fix out, #118419.

*baselayout-1.11.14-r1 (18 Jan 2006)

  18 Jan 2006; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.11.14-essidnet.patch, +baselayout-1.11.14-r1.ebuild:
  Fixed essidnet corruption resolv.conf, #119277.

  17 Jan 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  baselayout-1.11.14.ebuild:
  This patch should resolve the issue on amd64/ppc64 and close bug #110143. It
  is not the cleanest solution, but will work for the 2006.0 release until a
  better solution can be made.

  16 Jan 2006; Roy Marples <uberlord@gentoo.org>
  baselayout-1.12.0_pre13.ebuild, baselayout-1.12.0_pre13-r1.ebuild,
  baselayout-1.12.0_pre14.ebuild, baselayout-1.12.0_pre14-r1.ebuild,
  baselayout-1.12.0_pre14-r2.ebuild:
  Disable interactive boot for Sparc users, #104067.

*baselayout-1.12.0_pre14-r2 (16 Jan 2006)

  16 Jan 2006; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.12.0_pre14-restart.patch,
  +baselayout-1.12.0_pre14-r2.ebuild:
  Change the way we store services to restart exactly how rc stores other
  services. Also fixes a small reboot/schedule restart issue.

*baselayout-1.12.0_pre14-r1 (13 Jan 2006)

  13 Jan 2006; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.12.0_pre14-service-schedule.patch,
  +baselayout-1.12.0_pre14-r1.ebuild:
  Fixed the scheduling of services to restart a little bit.

*baselayout-1.12.0_pre14 (13 Jan 2006)

  13 Jan 2006; Roy Marples <uberlord@gentoo.org>
  +baselayout-1.12.0_pre14.ebuild:
  New release, many issues fixed :)

  07 Jan 2006; Jeremy Huddleston <eradicator@gentoo.org>
  baselayout-1.11.13-r1.ebuild, baselayout-1.11.13-r2.ebuild,
  baselayout-1.11.14.ebuild, baselayout-1.12.0_pre13.ebuild,
  baselayout-1.12.0_pre13-r1.ebuild:
  Moved /lib/{,u}dev-state creation after the symlink is made for multilib archs.

*baselayout-1.12.0_pre13-r1 (05 Jan 2006)

  05 Jan 2006; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.12.0_pre13-iproute2.patch,
  +baselayout-1.12.0_pre13-r1.ebuild:
  Fix iproute2 deleting old addresses, #117799.

*baselayout-1.12.0_pre13 (04 Jan 2006)

  04 Jan 2006; Roy Marples <uberlord@gentoo.org>
  +baselayout-1.12.0_pre13.ebuild:
  Version bump to work with bash-3.1-r2, #116352.

  22 Dec 2005; Mike Frysinger <vapier@gentoo.org>
  baselayout-1.11.13-r1.ebuild, baselayout-1.11.13-r2.ebuild,
  baselayout-1.11.14.ebuild, baselayout-1.12.0_pre11-r3.ebuild,
  baselayout-1.12.0_pre12.ebuild:
  Dont run install -d if the directory already exists since it will reset
  permissions #116293 by Joel.

*baselayout-1.12.0_pre12 (20 Dec 2005)

  20 Dec 2005; Roy Marples <uberlord@gentoo.org>
  +baselayout-1.12.0_pre12.ebuild:
  Version bump.

  16 Dec 2005; Diego Pettenò <flameeyes@gentoo.org>
  baselayout-1.12.0_pre11-r3.ebuild:
  Replace root:root in root:0. Bug #103563.

*baselayout-1.11.14 (08 Dec 2005)

  08 Dec 2005; Mike Frysinger <vapier@gentoo.org>
  +baselayout-1.11.14.ebuild:
  Version bump to fix a bunch of bugs.

*baselayout-1.12.0_pre11-r3 (28 Nov 2005)

  28 Nov 2005; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.12.0_pre11-net3.patch,
  -baselayout-1.12.0_pre11.ebuild, -baselayout-1.12.0_pre11-r1.ebuild,
  -baselayout-1.12.0_pre11-r2.ebuild, +baselayout-1.12.0_pre11-r3.ebuild:
  Fixed variable array references, #113661.

*baselayout-1.12.0_pre11-r2 (28 Nov 2005)

  28 Nov 2005; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.12.0_pre11-net2.patch,
  +baselayout-1.12.0_pre11-r2.ebuild:
  Fixes a few critical networking bugs, namely #113677 and ##113672.

*baselayout-1.12.0_pre11-r1 (24 Nov 2005)

  24 Nov 2005; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.12.0_pre11-net.patch,
  +baselayout-1.12.0_pre11-r1.ebuild:
  Fix critial bugs #113378 and #113406.
  Also fixes arping, #113402.

*baselayout-1.12.0_pre11 (23 Nov 2005)

  23 Nov 2005; Roy Marples <uberlord@gentoo.org>
  +baselayout-1.12.0_pre11.ebuild:
  New release which fixes some bugs, but mainly keeps
  mrness happy with a new pppd module.

  sys-apps/sysvinit-2.86-r3 is recommended, otherwise you get a messy reboot.

*baselayout-1.12.0_pre10-r1 (10 Nov 2005)

  10 Nov 2005; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.12.0_pre10-svn-1611.patch,
  +baselayout-1.12.0_pre10-r1.ebuild:
  Fix bugs 112031 and 112049
  Allows wpa_supplicant to specify config file and --pidfile

*baselayout-1.12.0_pre10 (08 Nov 2005)

  08 Nov 2005; Roy Marples <uberlord@gentoo.org>
  +baselayout-1.12.0_pre10.ebuild:
  New baselayout release, many bugs fixed!

*baselayout-1.12.0_pre9-r2 (08 Nov 2005)
*baselayout-1.11.13-r2 (08 Nov 2005)

  08 Nov 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/baselayout-1.11.0-split-out-udev.patch,
  +files/baselayout-1.12.0-split-out-udev.patch,
  +baselayout-1.11.13-r2.ebuild, +baselayout-1.12.0_pre9-r2.ebuild:
  Split out udev/devfs.

*baselayout-1.12.0_pre9-r1 (12 Oct 2005)

  12 Oct 2005; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.12.0_pre9-npref.patch,
  +baselayout-1.12.0_pre9-r1.ebuild:
  Changed number of preferred modules from 3 to 4 in net.lo, #108960.

*baselayout-1.12.0_pre9 (11 Oct 2005)

  11 Oct 2005; Roy Marples <uberlord@gentoo.org>
  +baselayout-1.12.0_pre9.ebuild:
  New release.

  05 Sep 2005; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.12.0_pre8-r2.ebuild:
  Fix /sbin/runscript for no-symlink profiles.

  04 Sep 2005; Mike Frysinger <vapier@gentoo.org>
  baselayout-1.11.13-r1.ebuild, baselayout-1.12.0_pre8-r2.ebuild:
  Wrap symlink creation like we do with dir creation so readonly file systems
  dont cause emerge to abort #103618.

*baselayout-1.12.0_pre8-r2 (04 Sep 2005)

  04 Sep 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/baselayout-1.12.0_pre8-usr-remount-ro.patch,
  +baselayout-1.12.0_pre8-r2.ebuild:
  Remount /usr readonly instead of unmounting, else we run into locale issues.

*baselayout-1.12.0_pre8-r1 (02 Sep 2005)

  02 Sep 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/baselayout-1.12.0_pre8-whitelist-fixes.patch,
  +baselayout-1.12.0_pre8-r1.ebuild:
  Some environ whitelist fixes

*baselayout-1.12.0_pre8 (02 Sep 2005)

  02 Sep 2005; Martin Schlemmer <azarah@gentoo.org>
  +baselayout-1.12.0_pre8.ebuild:
  New release.

*baselayout-1.12.0_pre7-r1 (01 Sep 2005)

  01 Sep 2005; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.12.0_pre7-ifconfig.patch,
  +baselayout-1.12.0_pre7-r1.ebuild:
  Fix ifconfig from bringing lo up and then working out aliases, #104415

*baselayout-1.12.0_pre7 (31 Aug 2005)

  31 Aug 2005; Roy Marples <uberlord@gentoo.org>
  -files/baselayout-1.12.0_pre6-1420.patch,
  -files/baselayout-1.12.0_pre6-rc-daemon.patch,
  -baselayout-1.12.0_pre6.ebuild, -baselayout-1.12.0_pre6-r1.ebuild,
  -baselayout-1.12.0_pre6-r2.ebuild, -baselayout-1.12.0_pre6-r3.ebuild,
  +baselayout-1.12.0_pre7.ebuild:
  New release

*baselayout-1.12.0_pre6-r3 (24 Aug 2005)

  24 Aug 2005; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.12.0_pre6-rc-daemon.patch,
  +baselayout-1.12.0_pre6-r3.ebuild:
  Fix rc-daemon.sh signal handling, bug #103182

*baselayout-1.12.0_pre6-r2 (23 Aug 2005)
*baselayout-1.11.13-r1 (23 Aug 2005)

  23 Aug 2005; Mike Frysinger <vapier@gentoo.org>
  +baselayout-1.11.13-r1.ebuild, +baselayout-1.12.0_pre6-r2.ebuild:
  Fix symlink generation in default runlevels #103275.

*baselayout-1.12.0_pre6-r1 (23 Aug 2005)

  23 Aug 2005; Roy Marples <uberlord@gentoo.org>
  -files/baselayout-1.12.0_pre3-dhclient.patch,
  -files/baselayout-1.12.0_pre3-iwconfig.patch,
  +files/baselayout-1.12.0_pre6-1420.patch,
  +baselayout-1.12.0_pre6-r1.ebuild:

  dhcpcd now reports the correct required version
  iwconfig and wpa_supplicant have better wireless vs wired detection

*baselayout-1.12.0_pre6 (18 Aug 2005)

  18 Aug 2005; Roy Marples <uberlord@gentoo.org>
  -baselayout-1.12.0_pre5.ebuild, +baselayout-1.12.0_pre6.ebuild:
  New release - hopefully we're almost stable now :)

*baselayout-1.12.0_pre5 (11 Aug 2005)

  11 Aug 2005; Roy Marples <uberlord@gentoo.org>
  -baselayout-1.12.0_pre4.ebuild, +baselayout-1.12.0_pre5.ebuild:
  New release. Should finally fix circular init script dependency problems!

*baselayout-1.12.0_pre4 (05 Aug 2005)

  05 Aug 2005; Martin Schlemmer <azarah@gentoo.org>
  +baselayout-1.12.0_pre4.ebuild:
  New release.

*baselayout-1.12.0_pre3-r2 (30 Jul 2005)

  30 Jul 2005; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.12.0_pre3-iwconfig.patch,
  +baselayout-1.12.0_pre3-r2.ebuild:
  Fixed associate_order "forcepreferred" #100799, thanks to Benoit Boissinot.

*baselayout-1.12.0_pre3-r1 (29 Jul 2005)

  29 Jul 2005; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.12.0_pre3-dhclient.patch,
  +baselayout-1.12.0_pre3-r1.ebuild:
  Fixed dhclient sending hostname #100745, thanks to Benoit Boissinot.

*baselayout-1.12.0_pre3 (29 Jul 2005)

  29 Jul 2005; Roy Marples <uberlord@gentoo.org>
  -files/baselayout-1.12.0_pre1-r1.patch, -baselayout-1.12.0_pre1-r1.ebuild,
  -baselayout-1.12.0_pre2.ebuild, +baselayout-1.12.0_pre3.ebuild:
  New version.
  Punted pre1 and pre2 as they proved too buggy even for ~ARCH.

*baselayout-1.12.0_pre2 (22 Jul 2005)

  22 Jul 2005; Martin Schlemmer <azarah@gentoo.org>
  +baselayout-1.12.0_pre2.ebuild:
  Update version.

  21 Jul 2005; Herbie Hopkins <herbs@gentoo.org>
  baselayout-1.12.0_pre1-r1.ebuild:
  Re-add fix for path to filefuncs.so

*baselayout-1.12.0_pre1-r1 (19 Jul 2005)

  19 Jul 2005; Roy Marples <uberlord@gentoo.org>
  -files/baselayout-1.12.0-alpha2-netscripts-1.patch,
  +files/baselayout-1.12.0_pre1-r1.patch,
  -baselayout-1.12.0_alpha2-r1.ebuild, -baselayout-1.12.0_pre1.ebuild,
  +baselayout-1.12.0_pre1-r1.ebuild:
  Bring us up to SVN r1317 which fixes a fair few buglets mainly with
  networking.
  
  Marked as unstable on all arches.

  19 Jul 2005; Roy Marples <uberlord@gentoo.org> baselayout-1.11.13.ebuild:
  Marked stable for all arches

  16 Jul 2005; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.12.0_pre1.ebuild:
  Fix /etc/gentoo-release not having a version.

*baselayout-1.12.0_pre1 (14 Jul 2005)

  14 Jul 2005; Martin Schlemmer <azarah@gentoo.org>
  +baselayout-1.12.0_pre1.ebuild:
  New testing release.

*baselayout-1.11.13 (13 Jul 2005)

  13 Jul 2005; Martin Schlemmer <azarah@gentoo.org>
  +baselayout-1.11.13.ebuild:
  Update version.

  10 Jul 2005; Daniel Ostrow <dostrow@gentoo.org>
  baselayout-1.11.12-r4.ebuild:
  Remove ibm use flag check as inittab is now takes from sysvinit.

  10 Jul 2005; Mike Frysinger <vapier@gentoo.org>
  +files/baselayout-1.11.12-quote-EDITOR.patch,
  baselayout-1.11.12-r4.ebuild:
  Add patch from svn to fix EDITOR quoting.

  07 Jul 2005; Tom Gall <tgall@gentoo.org>
  baselayout-1.11.12-r4.ebuild:
  update for use of ibm and hvsi0 console

  27 Jun 2005; Tom Gall <tgall@gentoo.org>
  baselayout-1.11.12-r4.ebuild:
  slight tweak for hvc console systems. 

  19 Jun 2005; Jeremy Huddleston <eradicator@gentoo.org>
  baselayout-1.12.0_alpha2-r1.ebuild:
  Fixed path to filefuncs.so on multilib systems thanks to Christophe Saout
  <christophe@saout.de>. Closes bug #87772.

  09 Jun 2005; Mike Frysinger <vapier@gentoo.org>
  baselayout-1.11.12-r4.ebuild:
  Stabilize for all arches.

  31 May 2005; Mike Frysinger <vapier@gentoo.org>
  +files/baselayout-1.11.12-volume-order-etc-update.patch,
  baselayout-1.11.12-r4.ebuild:
  Add a small patch to help people who dont etc-update properly during their
  upgrade.

  29 May 2005; <solar@gentoo.org> baselayout-1.11.10-r7.ebuild,
  baselayout-1.11.11-r1.ebuild, baselayout-1.11.11-r2.ebuild,
  baselayout-1.11.11-r3.ebuild, baselayout-1.11.11.ebuild,
  baselayout-1.11.9-r1.ebuild, baselayout-1.12.0_alpha2-r1.ebuild,
  baselayout-1.12.0_alpha2.ebuild, baselayout-1.9.4-r6.ebuild,
  baselayout-1.9.4-r7.ebuild:
  - update baselayout to use libc expanded variable elibc_uclibc vs uclibc so
  USE=-* works

  27 May 2005; Roy Marples <uberlord@gentoo.org>
  files/baselayout-1.11.12-profile.patch:
  patch now applies cleanly

*baselayout-1.11.12-r4 (27 May 2005)

  27 May 2005; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.11.12-is-net-fs.patch,
  +files/baselayout-1.11.12-profile.patch, +baselayout-1.11.12-r4.ebuild:
  fix is_net_up to work with what was mounted and not what will be mounted
  fixes #53104
  
  gfs is now a recognised network fs - fixes #93911
  
  removed bashisms from /etc/profile

*baselayout-1.11.12-r3 (26 May 2005)

  26 May 2005; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.11.12-runscript-boot.patch,
  +baselayout-1.11.12-r3.ebuild:
  report ${myservice} instead of $0 when disallowing net scripts to work in
  the boot runlevel - fixes #91534

*baselayout-1.11.12-r2 (25 May 2005)

  25 May 2005; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.11.12-ifconfig-cidr.patch,
  +baselayout-1.11.12-r2.ebuild:
  updated ESSID variables example in wireless.example - fixes #92469
  fix ifconfig to understand CIDR addresses - bug #93237

  22 May 2005; Mike Frysinger <vapier@gentoo.org>
  +files/baselayout-1.11.12-swapon-quiet.patch,
  baselayout-1.11.12-r1.ebuild:
  Make initial swapon quiet #93143.

*baselayout-1.11.12-r1 (17 May 2005)

  17 May 2005; Mike Frysinger <vapier@gentoo.org>
  +files/baselayout-1.11.12-exec-dev.patch, +baselayout-1.11.12-r1.ebuild:
  Fix mounting of /dev #92921 by Lachlan Pease.

*baselayout-1.11.12 (17 May 2005)

  17 May 2005; Mike Frysinger <vapier@gentoo.org>
  +baselayout-1.11.12.ebuild:
  Version bump.

  04 May 2005; Mike Frysinger <vapier@gentoo.org>
  baselayout-1.11.11-r3.ebuild, baselayout-1.12.0_alpha2-r1.ebuild:
  Install sysctl.conf with 0640 perms by default #91435.

  30 Apr 2005; Mike Frysinger <vapier@gentoo.org>
  baselayout-1.11.11-r3.ebuild, baselayout-1.12.0_alpha2-r1.ebuild:
  Move crypto-loop to util-linux and skel/bash files to bash.

*baselayout-1.11.11-r3 (29 Apr 2005)

  29 Apr 2005; Mike Frysinger <vapier@gentoo.org>
  -files/baselayout-1.11.10-bashrc.patch, baselayout-1.11.10-r7.ebuild,
  baselayout-1.11.11-r1.ebuild, baselayout-1.11.11-r2.ebuild,
  +baselayout-1.11.11-r3.ebuild:
  Move /etc/bashrc back to /etc/bash/bashrc to prep for #90488.

*baselayout-1.12.0_alpha2-r1 (26 Apr 2005)
*baselayout-1.11.11-r2 (26 Apr 2005)

  26 Apr 2005; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.11.11-wpa_supplicant.patch,
  +files/baselayout-1.12.0-alpha2-netscripts-1.patch,
  +baselayout-1.11.11-r2.ebuild, +baselayout-1.12.0_alpha2-r1.ebuild:
  Add support for wpa_supplicant-0.4.0
  Hopefully fix an obscure iwconfig bug

*baselayout-1.11.11-r1 (21 Apr 2005)

  21 Apr 2005; Roy Marples <uberlord@gentoo.org>
  -baselayout-1.11.10-r3.ebuild, -baselayout-1.11.10-r4.ebuild,
  -baselayout-1.11.10-r5.ebuild, -baselayout-1.11.10-r6.ebuild,
  +baselayout-1.11.11-r1.ebuild, -baselayout-1.12.0_alpha1-r4.ebuild:
  fixed bashrc location
  
  punted old ebuilds

  21 Apr 2005; Roy Marples <uberlord@gentoo.org> baselayout-1.11.11.ebuild,
  baselayout-1.12.0_alpha2.ebuild:
  /mnt/floppy and /mnt/cdrom are only installed when USE flag build is set
  fixes 88835

*baselayout-1.11.11 (20 Apr 2005)

  20 Apr 2005; Roy Marples <uberlord@gentoo.org> +baselayout-1.11.11.ebuild,
  baselayout-1.12.0_alpha2.ebuild:
  Update /etc/conf.d/{net,wireless} to change domain_* to dns_domain_*,
  nameservers_* to dns_servers_* and searchdomains_* to dns_search_domains_*
  
  Added warning when using depracted variables iface_*, aliases_*, broadcasts_*,
  netmasks_*, inet6_*, ipaddr_*, iproute_*

*baselayout-1.12.0_alpha2 (19 Apr 2005)

  19 Apr 2005; Roy Marples <uberlord@gentoo.org>
  +baselayout-1.12.0_alpha2.ebuild:
  version bump for testing highly experimental network code 

  15 Apr 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  -files/rc-scripts-1.4.16-livecd.patch, baselayout-1.9.4-r6.ebuild,
  baselayout-1.9.4-r7.ebuild, baselayout-1.11.9-r1.ebuild,
  baselayout-1.11.10-r3.ebuild, baselayout-1.11.10-r4.ebuild,
  baselayout-1.11.10-r5.ebuild, baselayout-1.11.10-r6.ebuild,
  baselayout-1.11.10-r7.ebuild, baselayout-1.12.0_alpha1-r4.ebuild:
  Removing livecd-specific patches and all livecd-specific options as these
  have all been moved to livecd-tools.

*baselayout-1.11.10-r7 (11 Apr 2005)

  11 Apr 2005; Mike Frysinger <vapier@gentoo.org>
  +files/baselayout-1.11.10-selinux-udev.patch,
  +baselayout-1.11.10-r7.ebuild:
  Add selinux/udev patch to shut spb up.

  07 Apr 2005; Tom Gall <tgall@gentoo.org>
  files/rc-scripts-1.4.16-livecd.patch, baselayout-1.9.4-r6.ebuild:
  downgrade hvc0 from vt320 to vt220, add hvc to inittab on ppc64 when use ibm
  use flag is on

*baselayout-1.11.10-r6 (01 Apr 2005)

  01 Apr 2005; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.11.10-wireless.patch, +baselayout-1.11.10-r6.ebuild:
  Stopped setting ESSID in predown functions in iwconfig and wpa_supplicant
  as there is no guarantee that the current ESSID is the one we started with
  Also, we may not have an ESSID at all...

*baselayout-1.11.10-r5 (30 Mar 2005)

  30 Mar 2005; Mike Frysinger <vapier@gentoo.org>
  +files/baselayout-1.11.10-bashrc.patch, +baselayout-1.11.10-r5.ebuild:
  Move /etc/bash/bashrc to /etc/bashrc.

*baselayout-1.12.0_alpha1-r4 (23 Mar 2005)
*baselayout-1.11.10-r4 (24 Mar 2005)

  23 Mar 2005; Roy Marples <uberlord@gentoo.org>
  files/baselayout-1.11.10-bridge.patch,
  +files/baselayout-1.12.0_alpha1-iwconfig.patch,
  +baselayout-1.11.10-r4.ebuild, +baselayout-1.12.0_alpha1-r4.ebuild:
  version bump to remove iwconfig.orig

  23 Mar 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  files/rc-scripts-1.4.16-livecd.patch:
  Updated livecd patch to include better ppc64 serial console support.

*baselayout-1.12.0_alpha1-r3 (23 Mar 2005)
*baselayout-1.11.10-r3 (23 Mar 2005)

  23 Mar 2005; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.11.10-bridge.patch,
  +files/baselayout-1.12.0_alpha1-bridge.patch, +baselayout-1.11.10-r3.ebuild,
  +baselayout-1.12.0_alpha1-r3.ebuild:
  bridge stops removing IP addresses from bridge ports.
  iwconfig no longer tries to get an ESSID from non-wireless interfaces.
  ifconfig no longer errors when deleting addresses on a non-existant
  interface.

  16 Mar 2005; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.12.0_alpha1-r2.ebuild:
  Stop defaulting WEP key to [1] as it messes with ndiswrapper users.

*baselayout-1.12.0_alpha1-r2 (15 Mar 2005)

  15 Mar 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/baselayout-1.12.0_alpha1-export-myservice-for-critical.patch,
  +baselayout-1.12.0_alpha1-r2.ebuild:
  Export myservice when starting critical services, as its needed by
  some of the addons (dmcrypt for example).  Also fixup find argument
  order for findutils-4.2.18+.  Fix syntax touchups to init.d/modules
  clobbering return value.

*baselayout-1.11.10-r2 (14 Mar 2005)

  14 Mar 2005; Roy Marples <uberlord@gentoo.org>
  +files/baselayout-1.11.10-iwconfig-2.patch, +baselayout-1.11.10-r2.ebuild:
  Stop defaulting WEP key to [1] as it messes with ndiswrapper users

*baselayout-1.11.10-r1 (14 Mar 2005)

  14 Mar 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/baselayout-1.11.10-iwconfig.patch, +baselayout-1.11.10-r1.ebuild:
  Add patch for bug #84999.

*baselayout-1.12.0_alpha1-r1 (11 Mar 2005)

  11 Mar 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/baselayout-1.12.0_alpha1-fixup-depends_awk.patch,
  +baselayout-1.12.0_alpha1-r1.ebuild:
  The system() stuff in *depends.awk should be dosystem(). Change the tar -l
  option to --one-file-system.

  10 Mar 2005; Jeremy Huddleston <eradicator@gentoo.org>
  baselayout-1.11.10.ebuild, baselayout-1.11.9-r1.ebuild,
  baselayout-1.12.0_alpha1.ebuild:
  Fix logic to create /etc/env.d/04multilib on amd64/2004.3. This closes bug
  #82911.

*baselayout-1.12.0_alpha1 (10 Mar 2005)

  10 Mar 2005; Aron Griffis <agriffis@gentoo.org> baselayout-1.11.10.ebuild,
  +baselayout-1.12.0_alpha1.ebuild:
  Don't apply 1.11.9-r1 patches to 1.11.10, which already contains them. Add
  1.12.0_alpha1 for baselayout developers only

*baselayout-1.11.10 (10 Mar 2005)

  10 Mar 2005; Aron Griffis <agriffis@gentoo.org>
  +baselayout-1.11.10.ebuild:
  Bump to 1.11.10 ... might this be golden for stabilization? I guess we will
  soon know

  01 Mar 2005; <solar@gentoo.org> baselayout-1.11.8-r3.ebuild,
  baselayout-1.11.9-r1.ebuild, baselayout-1.9.4-r6.ebuild,
  baselayout-1.9.4-r7.ebuild:
  - baselayout now provide itself as virtual/baselayout so ebuilds don't have to
  hard DEPEND/RDEPEND on the standard baselayout.

  25 Feb 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  files/rc-scripts-1.4.16-livecd.patch:
  Updated livecd patch to have bashlogin source .bashrc and .bash_profile, if
  they exist.

  24 Feb 2005; Chris PeBenito <pebenito@gentoo.org>
  files/sysvinit-2.84-selinux1.patch:
  Fix paths in selinux patch to permanently fix #77101, since libselinux no
  longer statically #define's them

  24 Feb 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  files/rc-scripts-1.4.16-livecd.patch:
  Updated livecd patch to allow for 19200 baud on serial console and also to
  export CDBOOT when cdroot=

  06 Feb 2005; Jeremy Huddleston <eradicator@gentoo.org>
  baselayout-1.11.9-r1.ebuild:
  Changing the 04multilib logic to be "(is more than one api) or (libdir isn't
  lib)".

  06 Feb 2005; Mike Frysinger <vapier@gentoo.org>
  baselayout-1.11.9-r1.ebuild:
  Dont install the 04multilib file if it only contains default lib paths ...
  thats just silly.

  03 Feb 2005; Jeremy Huddleston <eradicator@gentoo.org>
  baselayout-1.11.9-r1.ebuild:
  Keep lib32 in LDPATH if the dir exists and it's not a libdir. Otherwise
  people switching from lib32 -> lib amd64 profiles will get tripped up.

*baselayout-1.11.9-r1 (31 Jan 2005)

  31 Jan 2005; Mike Frysinger <vapier@gentoo.org>
  +files/rc-scripts-1.6.9-checkfs-lvm.patch,
  +files/rc-scripts-1.6.9-domainname.patch,
  +files/rc-scripts-1.6.9-ifconfig.patch, +baselayout-1.11.9-r1.ebuild:
  Version bump to fix #80183 (ifconfig debug) / #80206 (lvm logic error) / 
  #80174 (domainname quote fix) / #80189 (don't install X related dirs).

*baselayout-1.11.9 (30 Jan 2005)

  30 Jan 2005; Mike Frysinger <vapier@gentoo.org> +baselayout-1.11.9.ebuild:
  Version bump.

*baselayout-1.11.8-r3 (16 Jan 2005)

  16 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  baselayout-1.11.8-r2.ebuild, +baselayout-1.11.8-r3.ebuild:
  Revision bump to fix missing net.modules.d in some configurations. -- bug
  #78258.  Removed ~ppc64 from KEYWORDS.  ppc64 people, check what this does
  on fresh installs (ie.  use it in catalyst).  I don't believe it will work
  right with your current profiles because you are using 'lib' when you should
  be using lib64 for your libdir.

  16 Jan 2005; Markus Rothe <corsair@gentoo.org> baselayout-1.11.8-r2.ebuild:
  Added ~ppc64 to KEYWORDS

  15 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  baselayout-1.11.8-r2.ebuild, baselayout-1.9.4-r7.ebuild:
  Added support for hackish profiles that symlink lib to lib64.

  14 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  baselayout-1.9.4-r7.ebuild:
  Stable for 2005.0.

*baselayout-1.9.4-r7 (13 Jan 2005)

  13 Jan 2005; Aron Griffis <agriffis@gentoo.org>
  +baselayout-1.9.4-r7.ebuild:
  backport multilib patch from 1.11.8-r2 to 1.9.4-r7 for the sake of amd64
  livecds; marked ~amd64 momentarily until tested

*baselayout-1.11.8-r2 (12 Jan 2005)

  12 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  -baselayout-1.11.8-r1.ebuild, +baselayout-1.11.8-r2.ebuild:
  Nobody was in #-base, and this fix was important, so doing so now. 1)
  Setting to ~amd64 only as that was what was mentioned in the CL and
  discussed on #-base, but the ebuild had all archs for some reason. 2)
  s/libdirs/${libdirs}/ in the for loop.

  12 Jan 2005; Aron Griffis <agriffis@gentoo.org>
  baselayout-1.11.8-r1.ebuild:
  chown /lib/rcscripts to root so it doesn't get installed as the portage
  user; thanks to Eradicator for catching this

*baselayout-1.11.8-r1 (12 Jan 2005)

  12 Jan 2005; Aron Griffis <agriffis@gentoo.org>
  +baselayout-1.11.8-r1.ebuild:
  Add eradicator's latest multilib patch for amd64. This ebuild is marked
  ~amd64 only, but the changes should roll forward for all arches in 1.11.9

*baselayout-1.11.8 (15 Dec 2004)

  15 Dec 2004; Mike Frysinger <vapier@gentoo.org> +baselayout-1.11.8.ebuild:
  Version bump.

  06 Dec 2004; Mike Frysinger <vapier@gentoo.org>
  baselayout-1.11.7-r2.ebuild:
  Fix /lib vs /lib64 logic.

*baselayout-1.11.7-r2 (04 Dec 2004)

  04 Dec 2004; Aron Griffis <agriffis@gentoo.org>
  +files/rc-scripts-1.6.7-dhclient.patch,
  +files/rc-scripts-1.6.7-udhcpc.patch, -baselayout-1.11.7-r1.ebuild,
  +baselayout-1.11.7-r2.ebuild:
  Various fixes for /lib/rcscripts/net.modules.d/helpers.d #73327. Thanks to
  Benoit Boissinot for the patches

*baselayout-1.11.7-r1 (04 Dec 2004)

  04 Dec 2004; Mike Frysinger <vapier@gentoo.org>
  +files/rc-scripts-1.6.7-fix-runscript.patch, +baselayout-1.11.7-r1.ebuild:
  Fix runscript.sh so people can run /etc/init.d/ scripts again.

*baselayout-1.11.7 (03 Dec 2004)

  03 Dec 2004; Aron Griffis <agriffis@gentoo.org> -baselayout-1.10.3.ebuild,
  -baselayout-1.10.4.ebuild, -baselayout-1.11.5.ebuild,
  +baselayout-1.11.7.ebuild, -baselayout-1.9.4-r3.ebuild,
  -baselayout-1.9.4-r4.ebuild, -baselayout-1.9.4-r5.ebuild:
  Update to rc-scripts-1.6.7. This will hopefully be the 1.11.x release that
  we can mark stable in a few days

*baselayout-1.11.6-r1 (08 Nov 2004)

  08 Nov 2004; Aron Griffis <agriffis@gentoo.org>
  +baselayout-1.11.6-r1.ebuild, -baselayout-1.11.6.ebuild:
  bump to -r1 (no changes to ebuild) to push out helpers.d update

  08 Nov 2004; Aron Griffis <agriffis@gentoo.org> baselayout-1.11.6.ebuild:
  Add installation of /lib/rcscripts/net.modules.d/helpers.d

*baselayout-1.11.6 (08 Nov 2004)

  08 Nov 2004; Aron Griffis <agriffis@gentoo.org> -baselayout-1.11.4.ebuild,
  +baselayout-1.11.6.ebuild:
  Update to rc-scripts-1.6.6

*baselayout-1.11.5 (01 Nov 2004)

  01 Nov 2004; Aron Griffis <agriffis@gentoo.org> +baselayout-1.11.5.ebuild:
  Update to rc-scripts-1.6.5: Fix problems related to depscan/envupdate
  caching. Add the 'lo' option to RC_NET_STRICT_CHECKING to resolve bug #29225.
  Lots of net-scripts bug-fixes.  See rc-scripts ChangeLog for more details

*baselayout-1.11.4 (25 Oct 2004)

  25 Oct 2004; Aron Griffis <agriffis@gentoo.org> -baselayout-1.11.3.ebuild,
  +baselayout-1.11.4.ebuild:
  Update to rc-scripts-1.6.4: Fix net-scripts problems related to module
  loading and alias management. Fix some bugs related to /dev and fsck. See
  rc-scripts ChangeLog for details

  23 Oct 2004; Aron Griffis <agriffis@gentoo.org> baselayout-1.11.3.ebuild:
  Use rc-scripts-1.4.16-livecd.patch for baselayout-1.11.x until patch is
  applied to rc-scripts in cvs

*baselayout-1.11.3 (23 Oct 2004)

  23 Oct 2004; Aron Griffis <agriffis@gentoo.org>
  -baselayout-1.11.2.ebuild, +baselayout-1.11.3.ebuild:
  Update to rc-scripts-1.6.3 (see rc-scripts ChangeLog)

*baselayout-1.9.4-r6 (22 Oct 2004)

  22 Oct 2004; Chris Gianelloni <wolf31o2@gentoo.org>
  +files/rc-scripts-1.4.16-livecd.patch, +baselayout-1.9.4-r6.ebuild:
  Changed from using mingetty to using bashlogin on the livecd. This only
  affects livecd-functions,sh, so moving straight to stable.

  21 Oct 2004; Mike Frysinger <vapier@gentoo.org> baselayout-1.11.2.ebuild:
  Dont install a lot of old symlinks anymore #27082.

  19 Oct 2004; Aron Griffis <agriffis@gentoo.org> baselayout-1.9.4-r5.ebuild:
  stable everywhere

*baselayout-1.9.4-r5 (16 Oct 2004)

  16 Oct 2004; Aron Griffis <agriffis@gentoo.org>
  +files/rc-scripts-1.4.16-splash.patch, +baselayout-1.9.4-r5.ebuild:
  Add baselayout-1.9.4-r5 with splash patch from Spock for the sake of 2004.3;
  this version will need to go stable in a day or so. baselayout-1.11.x will
  go into testing and then stable post-release. baselayout-1.10.x will never
  go stable because there's no point switching networking setup twice

  13 Oct 2004; Aron Griffis <agriffis@gentoo.org> baselayout-1.11.2.ebuild:
  Remove rogue doexe that installed init-scripts to /

  13 Oct 2004; Aron Griffis <agriffis@gentoo.org> baselayout-1.11.2.ebuild:
  Use cp -P instead of doexe to install init-scripts to preserve symlinks

  13 Oct 2004; Aron Griffis <agriffis@gentoo.org> baselayout-1.11.2.ebuild:
  Provide warning in pkg_postinst when older /etc/init.d/net.eth* are found

*baselayout-1.11.2 (13 Oct 2004)

  13 Oct 2004; Aron Griffis <agriffis@gentoo.org> -baselayout-1.11.1.ebuild,
  +baselayout-1.11.2.ebuild:
  Update to rc-scripts-1.6.2 with net-scripts changes and lots of bug fixes
  (see rc-scripts ChangeLog)

  06 Oct 2004; Mike Frysinger <vapier@gentoo.org> baselayout-1.10.3.ebuild,
  baselayout-1.10.4.ebuild, baselayout-1.11.1.ebuild,
  baselayout-1.9.4-r3.ebuild, baselayout-1.9.4-r4.ebuild:
  Change the permissions from 755 to 775 per #48016. Also referenced RedHat
  installs and they too use 755.

  29 Sep 2004; Mike Frysinger <vapier@gentoo.org> baselayout-1.10.3.ebuild,
  baselayout-1.10.4.ebuild, baselayout-1.11.1.ebuild,
  baselayout-1.9.4-r3.ebuild, baselayout-1.9.4-r4.ebuild:
  Dont install the nscd script anymore, let glibc do it #43076.

*baselayout-1.11.1 (29 Sep 2004)

  27 Sep 2004; Aron Griffis <agriffis@gentoo.org> -baselayout-1.11.0.ebuild:
  Update to rc-scripts-1.6.1 with dm-crypt fixes (I hope).  Still package.masked

  20 Sep 2004; Aron Griffis <agriffis@gentoo.org> baselayout-1.11.0.ebuild:
  Stow our versions of critical files in /usr/share/baselayout so that quickpkg
  won't pick up personal files like /etc/passwd

*baselayout-1.11.0 (15 Sep 2004)

  15 Sep 2004; Aron Griffis <agriffis@gentoo.org> +baselayout-1.11.0.ebuild:
  Update to 1.11.0 with new modular net-scripts thanks to Roy Marples. This
  update also includes the new dm-crypt support (bug 43146) and netmount fix
  (bug 64034). This release is pmasked for the moment so we can get wider
  testing on the net-scripts

  20 Aug 2004; Mike Frysinger <vapier@gentoo.org> baselayout-1.10.3.ebuild,
  baselayout-1.10.4.ebuild:
  Fix default runlevel generation. Seems the variable name was changed from foo
  to x, but not all instances of foo were changed over.  Also, the script was 
  checking for the files in /init.d/ instead of /etc/init.d/.

*baselayout-1.10.4 (18 Aug 2004)

  18 Aug 2004; Aron Griffis <agriffis@gentoo.org>
  -baselayout-1.10.1-r2.ebuild, -baselayout-1.10.2.ebuild,
  +baselayout-1.10.4.ebuild:
  Update to rc-scripts-1.5.3
  - Fix bug 60719 (request for better error messages from runscript) by
    allowing errors to show on the screen when they're encountered in
    wrap_rcscript
  - Apply Spock's bootsplash patch from bug 45784.  This moves most of
    the splash functionality out of baselayout.
  - Don't export PS1.  Continuation of bug 26951, comments 60-62.

*baselayout-1.9.4-r4 (11 Aug 2004)

  11 Aug 2004; Aron Griffis <agriffis@gentoo.org> baselayout-1.9.4-r3.ebuild,
  +baselayout-1.9.4-r4.ebuild:
  Backport amd64 changes to stable baselayout 1.9.x for initial multilib support
  #59710

*baselayout-1.10.3 (10 Aug 2004)

  10 Aug 2004; Aron Griffis <agriffis@gentoo.org> +baselayout-1.10.3.ebuild:
  Include amd64 /lib64 patch from lv in bug 59710

*baselayout-1.10.2 (02 Aug 2004)

  02 Aug 2004; Aron Griffis <agriffis@gentoo.org>
  -baselayout-1.10.1-r1.ebuild, -baselayout-1.10.1.ebuild,
  +baselayout-1.10.2.ebuild, -baselayout-1.9.4-r2.ebuild:
  Update to rc-scripts-1.5.2
  - Related to bug 38955, don't set INPUTRC.  Instead patch bash so
    that it looks for /etc/inputrc automatically if ~/.inputrc is
    missing.  This is better than using INPUTRC since that will
    override even after the user creates ~/.inputrc.
  - Fix bug 54275: Don't set INFODIR.  The correct variable used by
    texinfo is INFOPATH, which is already set in 00basic.  Setting
    INFODIR is useless, and breaks a NetBSD cross compile from Gentoo
  - Fix bug 58805: net.eth0 should use bridge so that bridge
    interfaces are configured prior to net.br0 running
  - Fix bug 56856: Get rid of net.rej and integrate missing stuff to
    conf.d/net
  - Apply half of spock's patch in bug 45784: Check for
    conf.d/bootsplash instead of conf.d/bootsplash.conf
  - Fix bug 51351: Quote parsed output of /proc/filesystems to handle
    octal sequences in mountpoint such as encoded spaces (\040)
  - Fix bug 46680: Add cifs support to localmount and netmount.
    Thanks to Ronald Moesbergen for the patches
  - Fix bug 26952: Use /etc/bash/bashrc to setup PS1, testing $- to
    determine if shell is interactive.  The new system-wide bashrc is
    installed by bash-2.05b-r10
  - Fix bug 38743: strip leading and trailing spaces from variable
    values in genenviron.awk.  Thanks to Marius Mauch for the patch.
  - Fix bug 55576: swap words "start" and "stop" in runscript.sh error
    message

  27 Jul 2004; <agriffis@gentoo.org> baselayout-1.10.1-r1.ebuild,
  baselayout-1.10.1-r2.ebuild:
  Move util-linux back inside conditional since it pulls in a lot of dependencies

*baselayout-1.10.1-r2 (11 Jul 2004)

  11 Jul 2004; Aron Griffis <agriffis@gentoo.org> +baselayout-1.10.1-r2.ebuild:
  - Get rid of ROOT trick which had the potential to break binary installs.
  - Make /sys directory on all installations, not just ppc, since it will be
    needed anywhere 2.6 is running.
  - Create default runlevel symlinks in pkg_postinst instead of src_install
    since it tests content of ${ROOT}. 
  - Create device nodes in pkg_postinst for the same reason. Don't call
	/sbin/init U in pkg_postinst since that is handled by the sysvinit ebuild
	now.

*baselayout-1.9.4-r3 (09 Jul 2004)

  09 Jul 2004; Aron Griffis <agriffis@gentoo.org> +baselayout-1.9.4-r3.ebuild:
  Bump to -r3 to fix building of sulogin in catalyst stages

  01 Jul 2004; Aron Griffis <agriffis@gentoo.org> baselayout-1.10.1-r1.ebuild:
  Fix bug 55814: RDEPEND on sysvinit and util-linux regardless of
  USE=build since neither one requires a c++ compiler

*baselayout-1.10.1-r1 (29 Jun 2004)

  29 Jun 2004; Aron Griffis <agriffis@gentoo.org>
  +baselayout-1.10.1-r1.ebuild, baselayout-1.10.1.ebuild,
  -baselayout-1.8.11.ebuild, -baselayout-1.8.12.ebuild,
  -baselayout-1.8.6.13-r1.ebuild, -baselayout-1.8.6.13.ebuild,
  -baselayout-1.9.1.ebuild, -baselayout-1.9.4-r1.ebuild,
  baselayout-1.9.4-r2.ebuild, -baselayout-1.9.4.ebuild:
  Split sysvinit from baselayout.  Trim old ebuilds

*baselayout-1.10.1 (28 Jun 2004)

  28 Jun 2004; Aron Griffis <agriffis@gentoo.org> -baselayout-1.10.ebuild,
  +baselayout-1.10.1.ebuild,
  - Fix dhcp in iface_start_ifconfig: It was re-using the variable
    ${i} which would result in a syntax error
  - Use vlan_IFACE instead of iface_IFACE_vlans in net.eth0 for more
    consistent vlan configuration.  Thanks to robbat2 in bug 55394 (not
    fully resolved)
  - Add example for checking if root filesystem is NFS-mounted via
    predown function in conf.d/net for bug 53104.  This might be better
    integrated at some point into net.eth0
  - Add http://dev.gentoo.org/~agriffis/rc-scripts/ as an
    alternative download point while the mirrors catch up

*baselayout-1.10 (26 Jun 2004)

  26 Jun 2004; Aron Griffis <agriffis@gentoo.org> +baselayout-1.10.ebuild,
  baselayout-1.9.4-r2.ebuild:
  Update to rc-scripts-1.5.0
  - Fix bug 47659: support iproute2-style configuration.  Thanks to Dean
    Bailey for some fantastic patches, including documentation for
    conf.d/net
  - Fix bug 34607: provide examples for in conf.d/net for preup, postup,
    predown, postdown functions.  Also pay attention to return value
    from postdown (previously ignored)
  - Fix bug 25975: support adsl in net.eth0.  Thanks to Patrick McLean
    for the initial pass at the code.
  - Fix bug 34140: add --servicelist option to rc-status.  Thanks to
    Eldad Zack for the patch.
  - Fix bug 37418: fix order of LVM and RAID in checkfs.  Thanks to
    Raimondo Giammanco for the patch.

  25 Jun 2004; Aron Griffis <agriffis@gentoo.org>
  baselayout-1.8.6.13-r1.ebuild, baselayout-1.8.6.13.ebuild:
  QA - fix use invocation

  15 Jun 2004; <solar@gentoo.org> baselayout-1.9.4-r2.ebuild:
  remove unneeded /etc/nsswitch.conf with USE=uclibc

  12 Jun 2004; Tom Gall <tgall@gentoo.org> baselayout-1.9.4-r2.ebuild:
  adding in /sys for ppc64 bug #52703

  06 Jun 2004; Aron Griffis <agriffis@gentoo.org> baselayout-1.9.4-r2.ebuild:
  Marking stable everywhere

*baselayout-1.9.4-r2 (06 Jun 2004)

  06 Jun 2004; Aron Griffis <agriffis@gentoo.org> +baselayout-1.9.4-r2.ebuild:
  Update to rc-scripts-1.4.16: Only call generate-modprobe.conf with
  --assume-kernel if modules-update was called with --assume-kernel. This means
  that only catalyst has the dependency on module-init-tools, not everybody with
  the newer baselayout. This is ~arch at the moment, but should be marked stable
  within 24 hours or so

  04 Jun 2004; Aron Griffis <agriffis@gentoo.org> baselayout-1.9.4-r1.ebuild:
  Change module-init-tools-3.0-r2 DEPEND to RDEPEND

*baselayout-1.9.4-r1 (04 Jun 2004)

  04 Jun 2004; Aron Griffis <agriffis@gentoo.org> +baselayout-1.9.4-r1.ebuild:
  Bump revision with DEPEND on >=sys-apps/module-init-tools-3.0-r2 to fix bug
  52999

  03 Jun 2004; Aron Griffis <agriffis@gentoo.org> baselayout-1.9.4.ebuild:
  Stable everywhere

*baselayout-1.9.4 (21 May 2004)

  21 May 2004; Aron Griffis <agriffis@gentoo.org> -baselayout-1.9.3.ebuild,
  +baselayout-1.9.4.ebuild:
  Update to rc-scripts-1.4.15, which contains fixes for bug 51570 (typo/error on
  line 161 of /sbin/livecd-functions.sh) and bug 51626 (wrong var declaration in
  get_bootparam in /sbin/functions.sh).

  Fix pkg_postinst to write to ${ROOT}/etc/gentoo-release instead of
  ${D}/etc/gentoo-release (D'oh!)

*baselayout-1.9.3 (17 May 2004)

  17 May 2004; Aron Griffis <agriffis@gentoo.org> -baselayout-1.9.2.ebuild,
  +baselayout-1.9.3.ebuild:
  Update to rc-scripts-1.4.14, which contains an hppa console fix from gmsoft

*baselayout-1.9.2 (16 May 2004)

  16 May 2004; Aron Griffis <agriffis@gentoo.org> +baselayout-1.9.2.ebuild:
  Update to rc-scripts-1.4.13, which contains Gustavo's livecd serial console
  fixes for sparc and hppa

  10 May 2004; Michael McCabe <randy@gentoo.org> baselayout-1.9.1.ebuild:
  Stable on s390

*baselayout-1.9.1 (10 May 2004)

  10 May 2004; Aron Griffis <agriffis@gentoo.org> +baselayout-1.9.1.ebuild,
  -baselayout-1.9.0.ebuild:
  Update to rc-scripts-1.4.12, which fixes the following issues that
  were introduced in baselayout-1.9.0:
  - Fix bug 50434: The new version of start-stop-daemon changes
    directory to / by default unless --chdir is specified.  Revert
    this behavior to maintain working directory.  This fixes openvpn
    startup (probably among other things).  Thanks to Sven Wegener for
    the patch.
  - Fix bug 50448: Four days ago I changed bash loops to use the wrong
    conditional syntax in net.eth0.  Thanks to Sven Wegener for
    pointing out the problem and providing a patch.

  08 May 2004; Aron Griffis <agriffis@gentoo.org> baselayout-1.9.0.ebuild:
  Bump rc-scripts rev to 1.4.11-r1 because I accidentally packaged x86 .o files
  in the 1.4.11 release. This fixes bug 50430 (baselayout-1.9.0 won't build on
  non-x86 arch)

*baselayout-1.9.0 (07 May 2004)

  07 May 2004; Aron Griffis <agriffis@gentoo.org> +baselayout-1.9.0.ebuild:
  Update to rc-scripts-1.4.11, which fixes the following issues:
  - Fix bug 20597: Skip RCS files when updating modules
  - Fix bug 49926: Add a --assume-kernel flag to modules-update.  This
    requires a companion patch in module-init-tools-3.0-r2 to handle the
    same flag in generate-modprobe.conf; this dependency won't be
    handled in the baselayout ebuild since it only affects livecd
    building.
  - Fix bug 34827: net.eth0 breaks when localized because the ifconfig
    output changes.  Wrap ifconfig in a function that overrides LC_ALL=C
  - Fix bug 48305: Provide a new network configuration variable
    ifconfig_fallback_eth0 which allows one to specify a fallback
    configuration in case DHCP fails.
  - Fix bug 50246: Give root an invalid password ("*" in /etc/shadow) in
    the default baselayout.  This prevents the first reboot after
    installation from having a blank password.
  - Fix bug 48595: Make sure $(id -u) is zero (root user) when running
    init scripts to avoid a lot of error messages.
  - Fix bug 44316: Use 0644 instead of 0640 for resolv.conf in net.ppp0
  - Fix bug 22686: Update to version 1.10.20 of Debian's start-stop-daemon 
    (contained in dpkg at http://packages.debian.org/testing/base/dpkg)
    which makes --nicelevel work right
  - In net.eth0, fix many instances of loops like "for ((i = 0; i < 100;
    i = i + 1))".  The problem here is that the middle comparison is
    being interpreted as a bash conditional, which means that it's doing
    string comparison by default.  It needs to be "i -lt 100"
  - Replace many lines of awk with two lines of grep in
    init.d/localmount
  
  In the baselayout ebuild, add some information prior to calling
  mkdirs.sh to alleviate the confusion around .keep warnings.  For
  example bug 50369

  05 May 2004; Aron Griffis <agriffis@gentoo.org> baselayout-1.8.12.ebuild:
  Fix bug 50108: Create /boot/boot symlink in pkg_postinst because sometimes
  /boot is a FAT filesystem.  When that is the case, then the symlink will
  fail.  Consequently, if we create it in src_install, then merge will fail.
  AFAIK there is no point to this symlink except for misconfigured grubs.

  03 May 2004; Aron Griffis <agriffis@gentoo.org> baselayout-1.8.12.ebuild:
  Mark 1.8.12 stable everywhere

  02 May 2004; Mike Frysinger <vapier@gentoo.org> :
  Do not install doc/man pages if build is in USE.

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org>
  baselayout-1.8.6.13-r1.ebuild, baselayout-1.8.6.13.ebuild:
  Add inherit eutils

  27 Apr 2004; Michael McCabe <randy@gentoo.org> baselayout-1.8.12.ebuild:
  Marked stable on s390

*baselayout-1.8.12 (25 Apr 2004)

  25 Apr 2004; Aron Griffis <agriffis@gentoo.org> +baselayout-1.8.12.ebuild:
  - Fix bug 40987 (gentoo should be able to boot with an empty /dev)
    with patch from Spanky.  The patch avoids redirection to /dev/null
    when it doesn't exist; this was breaking /sbin/rc.
  - Fix bug 48629 (/sbin/rc fixups for udev) with patch from GregKH
  - Fix typos in sbin/rc: "try try mount" and "mount ... & >/dev/null"
    Also removed the errstr double-checking since the need for that is
    alleviated by these typo fixes.

  21 Apr 2004; <rac@gentoo.org> baselayout-1.8.11.ebuild:
  Add needed extra () to RDEPEND

  19 Apr 2004; Aron Griffis <agriffis@gentoo.org> baselayout-1.8.10.ebuild,
  baselayout-1.8.5.9.ebuild, baselayout-1.8.6.10-r1.ebuild,
  baselayout-1.8.6.12-r2.ebuild, baselayout-1.8.6.12-r3.ebuild,
  baselayout-1.8.6.12-r4.ebuild, baselayout-1.8.6.12-r5.ebuild,
  baselayout-1.8.6.8-r1.ebuild, baselayout-1.8.7.ebuild,
  baselayout-1.8.8.ebuild, baselayout-1.8.9.ebuild, files/MAKEDEV.8:
  Prune older ebuilds for bug 48353

*baselayout-1.8.11 (15 Apr 2004)

  15 Apr 2004; Aron Griffis <agriffis@gentoo.org> +baselayout-1.8.11.ebuild:
  Update to rc-scripts-1.4.9:
  - Fix bug 47111 (severe depcache problems) with tons of help from
    dswhite42 and the rest of the crew in that bug.

*baselayout-1.8.10 (14 Apr 2004)

  14 Apr 2004; Aron Griffis <agriffis@gentoo.org> metadata.xml,
  +baselayout-1.8.10.ebuild:
  Update to rc-scripts-1.4.8:
  - Fix bug 47623 (error removing inet6 addresses) with patch from Vlad
    Yasevich
  
  Since this one-liner was the only change from 1.8.9, mark this version
  stable on all arches for 2004.1 release

*baselayout-1.8.9 (12 Apr 2004)

  12 Apr 2004; Aron Griffis <agriffis@gentoo.org> +baselayout-1.8.9.ebuild:
  Update to rc-scripts-1.4.7:
  - Fix bug 47218 (net.eth0 broken for vlans), patch provided by Andy Dustman
  - Fix bug 47250 (depscan.sh fails to create /var/lib/init.d/*
    directories), patch provided by Terje Bergstrvm.

  Additionally clean up the baselayout ebuild, in particular remove
  confusing defaltmerge() and broken keepdir_mount(). Add kdir() and
  unkdir() functions which are a more complete hack to workaround bug
  9849, just until Jason Stubbs's portage patch is applied and
  available in stable-land.

*baselayout-1.8.8 (08 Apr 2004)

  08 Apr 2004; Aron Griffis <agriffis@gentoo.org>
  +files/sysvinit-2.84-selinux1.patch, +baselayout-1.8.8.ebuild:
  Update to rc-scripts-1.4.6 which contains checkroot patch for bug 38360. Fix a
  typo in Gustavoz's previous patch for serial console. Add selinux patch from
  bug 47139 to handle different versions of libselinux

*baselayout-1.8.7 (07 Apr 2004)

  07 Apr 2004; Aron Griffis <agriffis@gentoo.org> +baselayout-1.8.7.ebuild:
  Update to rc-scripts-1.4.4 with net.eth0 fixes and sparc fixes

  17 Mar 2004; Seemant Kulleen <seemant@gentoo.org>
  baselayout-1.8.6.13-r1.ebuild:
  fix for bug #44712 by Michael Sterret <mr_bones_@gentoo.org>

  03 Mar 2004; Mike Frysinger <vapier@gentoo.org> :
  Add gcc2.x compat patch #43097 by Tristan Henderson.

  28 Feb 2004; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.8.6.13-r1.ebuild:
  Bug #43099.

*baselayout-1.8.6.13-r1 (26 Feb 2004)

  26 Feb 2004; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.8.6.13-r1.ebuild:
  Make baselayout .tbz2 friendly, bug #42193.  Major cleanups.

  16 Feb 2004; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.8.6.13.ebuild:
  Add missing -r switch to grpck.

  15 Feb 2004; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.8.6.13.ebuild:
  Do not run grpconv if grpck do not return 0, bug #33282.

  08 Feb 2004; Brad House <brad_mssw@gentoo.org> baselayout-1.8.6.13.ebuild:
  ppc64 fixes

*baselayout-1.8.6.13 (08 Feb 2004)

  08 Feb 2004; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.8.6.13.ebuild:
  Update version.  Mostly livecd/linux-2.6 updates.

  03 Feb 2004; Bartosch Pixa <darkspecter@gentoo.org>
  baselayout-1.8.6.12-r3.ebuild:
  set ppc in keywords

  01 Feb 2004; Brad House <brad_mssw@gentoo.org>
  baselayout-1.8.6.12-r2.ebuild, baselayout-1.8.6.12-r3.ebuild,
  baselayout-1.8.6.12-r4.ebuild, baselayout-1.8.6.12-r5.ebuild:
  In catalyst, with USE=build and ROOT != / the ROOT/dev directory doesn't exist, so
  you MUST create it otherwise extracting the dev tarball to that directory will
  fail without stopping the ebuild

  25 Jan 2004; Chris PeBenito <pebenito@gentoo.org>
  baselayout-1.8.6.12-r2.ebuild, baselayout-1.8.6.12-r3.ebuild,
  baselayout-1.8.6.12-r4.ebuild:
  Add sysvinit SELinux patch.

*baselayout-1.8.6.12-r5 (21 Jan 2004)

  21 Jan 2004; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.8.6.12-r5.ebuild, files/sysvinit-2.84-selinux.patch:
  Tweak livecd support. Add selinux patch from Chris PeBenito
  <pebenito@gentoo.org>.

  16 Jan 2004; Brad House <brad_mssw@gentoo.org>
  baselayout-1.8.6.12-r4.ebuild:
  livecd fixes

*baselayout-1.8.6.12-r4 (12 Jan 2004)

  12 Jan 2004; Brad House <brad_mssw@gentoo.org>
  baselayout-1.8.6.12-r4.ebuild:
  put a baselayout in for testing specifically for livecds. It is keyworded -*
  and has restrict=nomirror set, this will be updated as we fix more bugs

*baselayout-1.8.6.12-r3 (27 Dec 2003)

  27 Dec 2003; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.8.6.12-r2.ebuild, baselayout-1.8.6.12-r3.ebuild:
  Add some udev specific tweaks. Fix logic that deals with the unpacking of the
  device-node-tarball.

  14 Dec 2003; Brad House <brad_mssw@gentoo.org>
  baselayout-1.8.6.12-r2.ebuild:
  baselayout fixes for catalyst stage builds

  15 Dec 2003; <spider@gentoo.org> baselayout-1.8.5.9.ebuild,
  baselayout-1.8.6.10-r1.ebuild, baselayout-1.8.6.8-r1.ebuild:
  QA: fixing chown user.group to user:group, bug #35127

  14 Dec 2003; Brad House <brad_mssw@gentoo.org>
  baselayout-1.8.6.10-r1.ebuild, baselayout-1.8.6.12-r2.ebuild,
  baselayout-1.8.6.8-r1.ebuild:
  stage binaries do not have proper /dev fs if you do not pass the proper
  MAKEDEV command. MAKEDEV does not yet support x86_64/amd64 therefore we must
  use the 'generic-i386' options. If we let it default to 'generic' MAKEDEV
  errors out b/c it internally doesn't support it. Open up /sbin/MAKEDEV with an
  editor if in doubt.

  10 Dec 2003; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.8.6.12-r2.ebuild:
  Update selinux check.

  30 Nov 2003; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.8.6.12-r2.ebuild:
  Fix format of calling chown, bug #34612.

*baselayout-1.8.6.12-r2 (26 Nov 2003)

  26 Nov 2003; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.8.6.12-r2.ebuild:
  New release with new rc-scripts tarball.

*baselayout-1.8.6.12-r1 (26 Nov 2003)

  26 Nov 2003; Luca Barbato <lu_zero@gentoo.org>
  baselayout-1.8.6.12-r1.ebuild:
  Installs the initreq.h include, needed by newer pbbuttonsd

*baselayout-1.8.6.12 (11 Nov 2003)

  11 Nov 2003; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.8.6.10-r1.ebuild, baselayout-1.8.6.12.ebuild:
  New release.

  27 Oct 2003; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.8.6.11.ebuild:
  Enable shadow groups, bug #31762.

  27 Oct 2003; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.8.6.10-r1.ebuild:
  Also do not remove real hosts for this ebuild.

  27 Oct 2003; Martin Holzer <mholzer@gentoo.org> baselayout-1.8.6.11.ebuild:
  Removing new hosts. Closes #32094

*baselayout-1.8.6.11 (14 Oct 2003)

  14 Oct 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.5.9.ebuild,
  baselayout-1.8.6.10-r1.ebuild, baselayout-1.8.6.11.ebuild,
  baselayout-1.8.6.8-r1.ebuild:
  New version. Fixed keymap for sun (should be 'sunkeymap' and not 'sun'),
  Moved code that added '-static' to LDFLAGS to proper function, namely
  src_compile(). Fixed merge errors when /dev/pts and /dev/shm was mounted
  but not on devfs.

  09 Oct 2003; Alexander Gabert <pappy@gentoo.org>
  baselayout-1.8.6.10-r1.ebuild:
  removed hardened-gcc flags again

  05 Oct 2003; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.8.6.10-r1.ebuild, baselayout-1.8.6.8-r1.ebuild:
  Fix $S.

  05 Oct 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.5.9.ebuild,
  baselayout-1.8.6.10-r1.ebuild, baselayout-1.8.6.8-r1.ebuild,
  files/rc-scripts-1.4.2.9.tar.bz2, files/rc-scripts-1.4.3.10p1.tar.bz2,
  files/rc-scripts-1.4.3.8p1.tar.bz2:
  Move tarballs to mirrors.

  17 Sep 2003; Jon Portnoy <avenj@gentoo.org> baselayout-1.8.6.10-r1.ebuild :
  Added ia64 keywords.

  13 Sep 2003; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.8.6.10-r1.ebuild:
  Mark stable

  08 Sep 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.5.9.ebuild,
  baselayout-1.8.6.10.ebuild, baselayout-1.8.6.7.ebuild,
  baselayout-1.8.6.8-r1.ebuild, baselayout-1.8.6.9.ebuild,
  files/rc-scripts-1.4.3.10.tar.bz2, files/rc-scripts-1.4.3.7.tar.bz2,
  files/rc-scripts-1.4.3.9.tar.bz2:
  Fix RDEPEND to use a more simple form.  Cleanup old ebuilds.

*baselayout-1.8.6.10-r1 (08 Sep 2003)

  23 Sep 2003; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.8.6.10-r1.ebuild, baselayout-1.8.6.8-r1.ebuild:
  Add static support, bug #29295.

  08 Sep 2003; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.8.6.10-r1.ebuild, files/rc-scripts-1.4.3.10p1.tar.bz2:
  This update is a service release - I will get to all the open bugs in the next
  few days.

*baselayout-1.8.6.10 (04 Aug 2003)

  04 Aug 2003; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.8.6.10.ebuild, files/rc-scripts-1.4.3.10.tar.bz2:
  New version - see ChangeLog in /usr/share/doc as always.

  23 Jul 2003; Olivier Crete <tester@gentoo.org> baselayout-1.8.5.9.ebuild,
  baselayout-1.8.6.7.ebuild, baselayout-1.8.6.8-r1.ebuild,
  baselayout-1.8.6.9.ebuild:
  Added lib64->lib symlinks for amd64

*baselayout-1.8.6.9 (17 Jul 2003)

  17 Jul 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.6.9.ebuild,
  files/rc-scripts-1.4.3.9.tar.bz2:
  New bugfix release - check ChangeLog in /usr/share/doc/$P for changes.

  15 Jul 2003; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.8.6.8-r1.ebuild:
  Add lastb symlink.

  15 Jul 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.5.9.ebuild,
  baselayout-1.8.6.7.ebuild, baselayout-1.8.6.8-r1.ebuild:
  Remove the ppp stuff, as they now ship with net-dialup/ppp.

*baselayout-1.8.6.8-r1 (21 May 2003)

  03 Aug 2003; Guy Martin <gmsoft@gentoo.org> baselayout-1.8.6.8-r1.ebuild:
  Added hppa to ARCH where serial console are enabled.

  06 Jul 2003; Guy Martin <gmsoft@gentoo.org> baselayout-1.8.6.8-r1.ebuild :
  Marked stable on hppa.

  06 Jul 2003; Joshua Kinard <kumba@gentoo.org> baselayout-1.8.6.8-r1.ebuild:
  Changed ~mips to mips in KEYWORDS

  24 Jun 2003; Aron Griffis <agriffis@gentoo.org>
  baselayout-1.8.6.8-r1.ebuild:
  Mark stable on alpha

  22 Jun 2003; Joshua Kinard <kumba@gentoo.org> baselayout-1.8.6.8-r1.ebuild:
  Changed ~sparc to sparc in KEYWORDS

  21 May 2003; Martin Schlemmer <azaraht@gentoo.org> Manifest, baselayout-1.8.6.8-r1.ebuild,
  files/rc-scripts-1.4.3.8p1.tar.bz2:
  Fix a bad bug that I missed, bug #21376.

*baselayout-1.8.6.8 (20 May 2003)

  20 May 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.6.8.ebuild,
  files/rc-scripts-1.4.3.8.tar.bz2 :
  Bugfix release.

*baselayout-1.8.6.7 (12 May 2003)

  12 May 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.6.7.ebuild,
  files/rc-scripts-1.4.3.7.tar.bz2:
  New release with lots of updates and fixes.

  28 Apr 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.6.6.ebuild :
  Some of the build images have MAKEDEV in /usr/sbin, and we called it with
  /usr/sbin/MAKEDEV, which is wrong since we moved it to /sbin.  This caused
  things to break, as we called /usr/sbin/MAKEDEV, and subsequent calls used
  the copy in /sbin, which is different versions.  Add a symlink in /usr/sbin
  to overwrite the invalide MAKEDEV, and call it via /sbin/MAKEDEV.  This
  should close bug #15299.

  28 Apr 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.6.6.ebuild :
  Fix docs installing to the wrong place (bug #20091), thanks to sharp eye of
  Matt Taylor <liverbugg@juno.com>.

*baselayout-1.8.6.6 (27 Apr 2003)

  27 Apr 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.6.6.ebuild :
  Update version.

*baselayout-1.8.5.9 (27 Apr 2003)

  27 Apr 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.5.9.ebuild :
  Add slocate group, bug #19604.

*baselayout-1.8.6.5 (07 Apr 2003)

  07 Apr 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.6.5.ebuild :
  New release.

  23 Mar 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.6.4-r1.ebuild :
  Fix the check for 'si::sysinit:/sbin/rc sysinit' in /etc/inittab to also
  update inittab if the line is commented, thanks to report form
  Norberto BENSA <nbensa@gmx.net>.

*baselayout-1.8.6.4-r1 (21 Mar 2003)

  24 Mar 2003; Brandon Low <lostlogic@gentoo.org>
  baselayout-1.8.6.4-r1.ebuild:
  Move a cd so that it gets done for all cases where it is needed

  21 Mar 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.6.4-r1.ebuild :
  Fix 'etc-update' to be 'env-update' as it *should* have been.  Tweak updating
  of /etc/conf.d/rc and /etc/inittab to resolve bug #17829, thanks to
  Jay Pfeifer <pfeifer@gentoo.org>.

  17 Mar 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.6.4.ebuild :
  Only run 'keepdir /usr/portage' if ${ROOT}/usr/portage do NOT exist, else we
  run into problems if it is a readonly NFS mount among others.

*baselayout-1.8.6.4 (16 Mar 2003)

  16 Mar 2003;  Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.6.4.ebuild :
  New release.

*baselayout-1.8.6.3 (09 March 2003)

  11 Mar 2003; Zach Welch <zwelch@gentoo.org> baselayout-1.8.5.5.ebuild,
  baselayout-1.8.5.8.ebuild, baselayout-1.8.6.2.ebuild,
  baselayout-1.8.6.3.ebuild:
  change sys-kernel/linux-headers to new virtual/os-headers

  09 March 2003;  Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.6.3.ebuild :
  New beta release; check ChangeLog in usual place for more info.

  20 Feb 2003; Zach Welch <zwelch@gentoo.org> baselayout-1.8.5.8.ebuild :
  Added arm to keywords.

  08 Feb 2003; Guy Martin <gmsoft@gentoo.org> baselayout-1.8.5.8.ebuild :
  Added hppa to keywords.

  22 Jan 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.5.8.ebuild :
  Mark stable.

*baselayout-1.8.6.2 (07 Jan 2003)

  18 Jan 2003; Jan Seidel <tuxus@gentoo.org> :
  serial console for mips

  15 Jan 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.6.2.ebuild :

  Bugfixes for /var stuff.

  15 Jan 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.6.1.ebuild :

  New version with /var on seperate partition fixes ...

  07 Jan 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.6.0.ebuild :

  Make sure we only update /etc/conf.d/rc if the user do not have the new with
  'svcmount' stuff ...

*baselayout-1.8.6.0 (07 Jan 2003)


  07 Jan 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.6.0.ebuild :

  New alpha release that do not need tmpfs for caching dependencies.  Also
  RAID changes, etc.  Please make sure to update all ._cfg????_* files, else
  things might break ....  See ChangeLog in /usr/share/doc/$PF for more info.

*baselayout-1.8.5.8 (07 Jan 2003)

  18 Jan 2003; Jan Seidel <tuxus@gentoo.org> :
  serial console for mips

  15 Jan 2003; Jason Wever <weeve@gentoo.org> baselayout-1.8.5.8.ebuild :

  Changed ~sparc keyword to sparc.

  07 Jan 2003; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.5.8.ebuild :

  Bugfix release; see ChangeLog in /usr/share/doc/$PF.

*baselayout-1.8.5.7 (24 Dec 2002)

  24 Dec 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.5.7.ebuild :

  Minor bugfixes.

  18 Dec 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.5.5.ebuild :

  Bump to stable.

*baselayout-1.8.5.6 (18 Dec 2002)

  18 Dec 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.5.6.ebuild :

  Mips support among things.

  16 Dec 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.5.5.ebuild :

  Fix /usr/lib/X11 symlink.  Change gawk module to compile if
  /usr/include/awk/awk.h exists.

*baselayout-1.8.5.5 (09 Dec 2002)

  18 Jan 2003; Jan Seidel <tuxus@gentoo.org> :
  Fix mips specific stuff
  Added mips to keywords

  10 Dec 2002; Seemant Kulleen <seemant@gentoo.org>
  baselayout-1.8.5.5.ebuild :

  Removed references to sparc64 ARCH/KEYWORD as it is deprecated until we
  have a 64 bit userland implementation.

  09 Dec 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.5.5.ebuild :

  Add a 'keepdir /var/state', closing bug #11546.  Change console type for
  serial console (sparc) from 'linux' to 'vt100', closing bug #11551.

  Check /usr/share/doc/baselayout-1.8.5.5/ChangeLog.gz for details.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> :

  Changed sparc and ~sparc keywords.
 
*baselayout-1.8.5.4 (26 Nov 2002)

  26 Nov 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.5.4.ebuild :

  Check /usr/share/doc/baselayout-1.8.5.4/ChangeLog.gz for details.

*baselayout-1.8.5.3 (18 Nov 2002)

  18 Nov 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.5.3.ebuild :

  Ok, new version again.  Fixes config files containing licenses, and a problem
  with the awk module on non-x86 arch's.  This should hopefully be the last release
  for a bit.

*baselayout-1.8.5.2 (18 Nov 2002)

  18 Nov 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.5.2.ebuild :

  New version with super fast rc-envupdate.sh.

*baselayout-1.8.5.1 (18 Nov 2002)

  18 Nov 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.5.1.ebuild :

  Fix using /usr/bin/find in depscan.sh.

*baselayout-1.8.5 (17 Nov 2002)

  17 Nov 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.5.ebuild :

  New version that have depscan.sh using awk scripts to do the main work.
  This should improve speed a lot, and hopefully resolve bug #10548.

*baselayout-1.8.4.2 (5 Nov 2002)

  5 Nov 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.4.2.ebuild :

  Another minor bugfix release to resolve current major show stoppers.

  30 Oct 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.4.1.ebuild :

  Add poweroff symlink, closing bug #9857 thanks to
  Jose Fonseca <j_r_fonseca@yahoo.co.uk>.

*baselayout-1.8.4.1 (28 Oct 2002)

  28 Oct 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.4.1.ebuild :

  Bugfix release for 1.8.4.

*baselayout-1.8.4 (13 Oct 2002)

  20 Oct 2002; Seemant Kulleen <seemant@gentoo.org> *.ebuild :

  Changed unsite.nc.edu to sunsite.nc.edu  --- thanks to mg (abiword
  developer and gentoo user) -- mentioned it on irc to me.

  13 Oct 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.4.ebuild :
  Lots of fixes.  See ChangeLog.

*baselayout-1.8.3 (7 Sep 2002)

  7 Sep 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.3.ebuild :
  Get things ready for suid utmp stuff for xterms .. bug #7630.

  5 Sep 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.2.ebuild :
  Remove /etc/termcap.  Anything that needs it, should depend on
  sys-libs/libtermcap-compat.  Some cleanups; should have passwd and
  shadow back in CONTENTS.

  26 Aug 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.8.2.ebuild :
  Tweak DEPEND to depend on portage-2.0.23 or later.  Also remove the '!'
  depend on <sys-apps/gawk-3.1.0-r3 in favour of one that depend on
  >=sys-apps/gawk-3.1.0-r3 if "build" and "bootstrap" not in USE.  This
  should resolve bug #7018.

*baselayout-1.8.2 (25 Aug 2002)

  25 Aug 2002; Martin Schlemmer <azarah@gentoo.org> :
  New release, see included ChangeLog for changes.

*baselayout-1.8.1 (08 Aug 2002)

  08 Aug 2002; Martin Schlemmer <azarah@gentoo.org> :
  New release.  Adds many fixes/update.  Add /etc/termcap.

*baselayout-1.8.0 (17 July 2002)

  17 July 2002; Martin Schlemmer <azarah@gentoo.org> :
  Lots of bugfixes and updates.  Please see included ChangeLog in
  /usr/share/doc/baselayout-1.8.0/ChangeLog.gz for details.

*baselayout-1.7.9-r2 (14 July 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> baselayout-1.7.9-r2.ebuild :
  Added KEYWORDS.

*baselayout-1.7.9-r1 (13 May 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> baselayout-1.7.9.ebuild :
  Added KEYWORDS.

  14 Jul 2002; phoen][x <phoenix@gentoo.org> baselayout-1.7.9-r1.ebuild :
  Added KEYWORDS.

  13 May 2002; M.Schlemmer <azarah@gentoo.org> :

  Dont install /usr/sbin/run-crons anymore, as sys-apps/cronbase do it now.

*baselayout-1.7.9 (12 May 2002)

*baselayout-1.7.8-r1 (23 Apr 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> baselayout-1.7.8-r1.ebuild :
  Added KEYWORDS, SLOT.

  23 Apr 2002; M.Schlemmer <azarah@gentoo.org> :

  Remove /var/run/utmpx again.

*baselayout-1.7.8 (22 Apr 2002)

*baselayout-1.7.7 (5 Apr 2002)

  7 Apr 2002; M.Schlemmer <azarah@gentoo.org> :

  Move /etc/init.d/depscan.sh, /etc/init.d/runscript.sh and
  /etc/init.d/functions.sh to /sbin to ensure that they are updated correctly.

  Other minor bug fixes, check the Changelog.

*baselayout-1.7.6 (24 Mar 2002)

  24 Mar 2002; M.Schlemmer <azarah@gentoo.org> :

  As rc-scripts-1.3.1 was pretty much still in the works, "before" and "after"
  order deps was pretty broken.  This release fix this along with a few other
  minor bugfixes.

  24 Mar 2002; M.Schlemmer <azarah@gentoo.org> :

  baselayout-1.7.4* used copies of depscan.sh and functions.sh in ${FILESDIR} to
  fix problems, and this was forgotten to be taken out in 1.7.5*.

*baselayout-1.7.5-r1 (23 Mar 2002)

  23 Mar 2002; Daniel Robbins <drobbins@gentoo.org> : Jim Nutt pointed out that
  his /etc/inittab kept on getting overwritten after every new baselayout merge.
  Investigated and found many illegal things being done in pkg_postinst(), which
  are now hopefully fixed.

*baselayout-1.7.5 (23 Mar 2002)

  23 Mar 2002; Daniel Robbins <drobbins@gentoo.org> : New release with several
  rc-script bug fixes; see /usr/share/doc/baselayout-1.7.5/ChangeLog.gz for more
  info (this new baselayout includes rc-scripts-1.3.1)
  
  21 March 2002; M.Schlemmer <azarah@gentoo.org> :

  Update the pkg_postinst() stuff to use the build USE flag when doing stuff
  that really should not be done during bootstrap.

  Add support for the "bootstrap" USE flag.

  20 March 2002; Daniel Robbins <drobbins@gentoo.org> : fixed pkg_postinst()
  that was changing dirs to ${D}/dev instead of ${ROOT}/dev.  No rev bump.
  
  20 March 2002; Daniel Robbins <drobbins@gentoo.org> : tweaked ebuild to test
  for devfs mount by looking for /dev/.devfsd, not by catting /proc/mounts.
  Catting /proc/mounts can give inaccurate results if you're inside a chroot
  and your "outside" root has devfs enabled (which is normally the case,
  really, since the CD uses devfs).  This should fix a problem where device
  nodes don't exist after bootstrap, which causes the sys-devel/perl build to
  fail since it cats stuff to /dev/null. (causes obscure "missing seperator
  in makefile, line 613" error).  No rev bump for this fix.

*baselayout-1.7.4-r2 (11 March 2002)

  11 March 2002; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.7.4-r2.ebuild, functions.sh : Fix functions.sh using
  /usr/bin/basename for users that have /usr on seperate partition.

*baselayout-1.7.4-r1 (11 March 2002)

  11 March 2002; Martin Schlemmer <azarah@gentoo.org>
  baselayout-1.7.4-r1.ebuild, depscan.sh : Fix bash error if no service
  "provide" a virtual service.

*baselayout-1.7.4 (10 March 2002)

  6 March 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.7.3-r3.ebuild :

  Fix a bug where merging baselayout with 1.7.3-r1 already installed, would kill
  X when it was started with /etc/init.d/xdm.

  6 March 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.7.3-r2.ebuild :

  Fixed the respawning "startDM.sh" process.  Fixed the fsck of / when rebooting
  for the first time after baselayout merge.

  5 March 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.7.3-r1.ebuild :

  Update /etc/init.d/keymaps and /etc/init.d/consolefont to use the new
  sys-apps/kbd package.  More xdm fixes and safeguards in /sbin/rc.

  Added a "mkdir -p /etc/X11/" for if it do not exist.

*baselayout-1.7.3 (4 March 2002)

  4 March 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.7.3.ebuild :

  Add updated xdm scripts to handle the "dead keys" bug. They should move to
  the xfree package when tested fully.

  Other minor ajustments.

*baselayout-1.7.2 (3 March 2002)

  3 March 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.7.2.ebuild :

  Lots of updates and fixes, check /usr/share/doc/baselayout-1.7.2/ChangeLog
  for details.

*baselayout-1.7.1-r2 (25 Feb 2002)

  25 Feb 2002; Martin Schlemmer <azarah@gentoo.org> baselayout-1.7.1-r2.ebuild :

  Change devices to be created in ${D}/dev and not ${D}/lib/dev-state, as they
  are for use only when devfs is not used.

*baselayout-1.7.1-r1 (20 Feb 2002)

  20 Feb 2002; Daniel Robbins <drobbins@gentoo.org> baselayout-1.7.1-r1.ebuild:
  moved MAKEDEV device node creation to pkg_postinst() so that device nodes don't
  get recorded in CONTENTS.  Latest CVS Portage no longer records device nodes
  in CONTENTS since there's generally no point or clean way to unmerge them.

*baselayout-1.7.1 (6 Feb 2002)

  6 Feb 2002; M.Schlemmer <azarah@gentoo.org> baselayout-1.7.1.ebuild :

  Move rc-scripts.tar.bz2 to CVS.  Remove forcefull install of /etc/devfsd.conf.

*baselayout-1.7.0-r1 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
